# the general syntax is 
# {attribute1: value, attribute2: value, ...}
#
# for example a valid request to /register would look like 
# {"email": "user123@example.org", "username": "user123", "password": "FILTERED", "preferred_language": "german"}
# while a valid request to /events would be the empty object {}

credits_required_attributes = []
credits_possible_attributes = ['issuer', 'only_next_mro_qualified']

buy_banking_license_required_attributes = ['session_id']
buy_banking_license_possible_attributes = ['session_id']

cancel_order_required_attributes = ['order_id', 'session_id']
cancel_order_possible_attributes = ['order_id', 'session_id']

change_password_required_attributes = ['password', 'session_id']
change_password_possible_attributes = ['password', 'session_id']

depot_required_attributes = ['session_id']
depot_possible_attributes = ['session_id']

gift_required_attributes = ['amount', 'object_name', 'session_id', 'username']
gift_possible_attributes = ['amount', 'object_name', 'session_id', 'username']

global_variables_required_attributes = []
global_variables_possible_attributes = []

issue_bond_required_attributes = ['coupon', 'name', 'run_time', 'session_id']
issue_bond_possible_attributes = ['coupon', 'name', 'run_time', 'session_id']

leaderboard_required_attributes = []
leaderboard_possible_attributes = []

loans_required_attributes = ['session_id']
loans_possible_attributes = ['session_id']

login_required_attributes = ['password', 'username']
login_possible_attributes = ['password', 'username']

logout_required_attributes = ['session_id']
logout_possible_attributes = ['session_id']

news_required_attributes = []
news_possible_attributes = []

old_orders_required_attributes = ['include_canceled', 'include_executed', 'limit', 'session_id']
old_orders_possible_attributes = ['include_canceled', 'include_executed', 'limit', 'session_id']

order_required_attributes = ['amount', 'buy', 'ownable', 'session_id', 'time_until_expiration']
order_possible_attributes = ['amount', 'buy', 'ioc', 'limit', 'ownable', 'session_id', 'stop_loss', 'time_until_expiration']

orders_required_attributes = ['session_id']
orders_possible_attributes = ['session_id']

orders_on_required_attributes = ['ownable', 'session_id']
orders_on_possible_attributes = ['ownable', 'session_id']

register_required_attributes = ['password', 'username']
register_possible_attributes = ['password', 'username']

repay_loan_required_attributes = ['amount', 'loan_id', 'session_id']
repay_loan_possible_attributes = ['amount', 'loan_id', 'session_id']

server_version_required_attributes = []
server_version_possible_attributes = []

take_out_personal_loan_required_attributes = ['amount', 'session_id']
take_out_personal_loan_possible_attributes = ['amount', 'session_id']

tradables_required_attributes = []
tradables_possible_attributes = []

trades_required_attributes = ['limit', 'session_id']
trades_possible_attributes = ['limit', 'session_id']

trades_on_required_attributes = ['limit', 'ownable', 'session_id']
trades_on_possible_attributes = ['limit', 'ownable', 'session_id']
